if m_simpleTV.Common.GetVersion() < 880 then  --b12.7.6
   local mess = "simpleTV version too old [".. select(2,m_simpleTV.Common.GetVersion())  .. "], need 0.5.0 b12.7.6"
   m_simpleTV.Interface.MessageBox(mess,"PasswordManager",0x10)  
  return
 end

if not string.match(package.path, "user/PasswordManager/Core", 0) then
  package.path = package.path .. ";" .. m_simpleTV.MainScriptDir .. "user/PasswordManager/Core/?.lua"
end

if m_simpleTV.Interface.AddTranslator~=nil then
  local lang_code = m_simpleTV.Interface.GetLanguage()
  if m_simpleTV.Interface.GetLanguageCountry then
     lang_code = m_simpleTV.Interface.GetLanguageCountry()
  end 
  
  m_simpleTV.Interface.AddTranslator(   m_simpleTV.MainScriptDir_UTF8 
								     .. "user/PasswordManager/translations/lang_" 
								     .. lang_code)
end 								   

require("pm")
AddFileToExecute("onconfig", m_simpleTV.MainScriptDir .. "user/PasswordManager/initconfig.lua")
